/*
	aa_defs.h - definitions common to the whole Ant_Anl project
	Copyright (C) 2005 Vadim Demidov vadim_d .at. sourceforge.net

    Ant_Anl is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation; either version 2 of the License,
    or (at your option) any later version.

    Ant_Anl is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Ant_Anl; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Revision History:

	17 Apr 05 - Created (VD)
	04 May 05 - ACH_* definitions added, minor comment editing (VD)
*/

#ifndef AA_DEFS_H_		// See if already included
#define AA_DEFS_H_

//#define BOOTLOADER 1 // Uncomment if you use a bootloader

#pragma chip PIC16F873A	// Our "mainframe"

#pragma bit LED_0 @ PORTB.0	// Two diagnostic LEDs
#pragma bit LED_1 @ PORTB.1

/*
	LCD connections: data bus bits DB[7:4] are PORTB.7 to PORTB.4
*/
#pragma bit LCD_RS @ PORTB.2	// Register select: 0-Cmd, 1-Data
#pragma bit LCD_EN @ PORTB.3	// Enable signal - data strobe

#pragma bit CLAMP @ PORTA.4		// Pull down T0CKI

//	Some constants used in main routine

#define ACH_VIN 0		// ACH0 is used for v_in
#define ACH_V50 1		// ACH1 is used for v_50
#define ACH_VLD 2		// ACH2 is used for v_ld
#define ACH_VBT 3		// ACH3 is used for battery test

#define MIN_VIN	200		// (200/1024)*5=0.977 V
#define MIN_V50	40		// (40/1024)*5=0.195 V
#define MIN_VLD	40

#define LCD_OHM	0xF4	// Ohm symbol (not on Cyrillic LCDs)

#endif
