/*
	glb_defs.h - global functions and data definitions of Ant_Anl
	Copyright (C) 2005 Vadim Demidov vadim_d .at. sourceforge.net

    Ant_Anl is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation; either version 2 of the License,
    or (at your option) any later version.

    Ant_Anl is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Ant_Anl; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Revision History:

	17 Apr 05 - Created (VD)
	27 Apr 05 - FPC_INITF added to FP opcodes, FPC_NEG removed (VD)
*/

#ifndef GLB_DEFS_H_		// See if already included
#define GLB_DEFS_H_

/*
	Floating Point Calculator globals
*/

extern bank1 float24 fp_x, fp_y;	// X and Y registers
uns16 fp_x_u16 @ fp_x;	// To access as a 16-bit unsigned value
int24 fp_x_i24 @ fp_x;	// To access as a 24-bit signed value

extern page1 void fpcalc(char W);	// Floating point calculator

enum {
	FPC_INITF, FPC_UP, FPC_U16TOFP, FPC_FPTOS24, FPC_ADD,	// FP opcodes
	FPC_SUB, FPC_MUL, FPC_DIV, FPC_SQRT
};

/*
	LCD and Mix module globals
*/

extern bank0 char bcd32[4];			// 32-bit BCD variable

extern page0 void lcd_write(char);		/* write a byte to the LCD */
extern page0 void lcd_clear(void);		/* Clear and home the LCD */
extern page0 void lcd_goto(char pos);	/* Go to the specified position */
extern page0 void lcd_init(void);		/* intialize the LCD */
extern page0 void lcd_putch(char);		/* Put a character to the LCD */
extern page0 void lcd_hexb(char);		/* Hexadecimal byte output */
extern page0 void lcd_hexnh(char);		/* Hexadecimal high nibble output */
extern page0 void lcd_hexnl(char);		/* Hexadecimal low nibble output */

extern page0 void delay_ms(uns8);		/* Delay in milliseconds */
extern page0 void delay_us(uns8);		/* Delay in microseconds */
extern page0 void delay_s1(uns8);		/* Delay in 0.1 seconds */

extern page0 void do_count(void);		/* Count input frequency */

extern page0 void a2d_init(void);		/* Set ADC mode */
extern page0 void a2d_read(unsigned char channel);	/* Read selected channel */

extern page0 void u24_bcd32(void);		/* 24 bit unsigned to 32-bit BCD */

extern page0 void calc_swr(void);		/* Calculates SWR from R and X */

#endif
